VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::authentication::ServiceInfo Class Reference

The `ServiceInfo` class contains authentication information of a service element. More...

List of all members.

## Public Member Functions
| ServiceInfo ()
| Creates a default new instance.
global::System.Collections.Generic.List < vmware.vapi.metadata.authentication.AuthenticationInfo > | GetSchemes ()
| List of authentication schemes to be used for all the operation elements contained in this service element.
void | SetSchemes (global::System.Collections.Generic.List< vmware.vapi.metadata.authentication.AuthenticationInfo > schemes)
| List of authentication schemes to be used for all the operation elements contained in this service element.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.authentication.OperationInfo > | GetOperations ()
| Information about all operation elements contained in this service element that contain authentication information.
void | SetOperations (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.authentication.OperationInfo > operations)
| Information about all operation elements contained in this service element that contain authentication information.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ServiceInfo` class contains authentication information of a service element.

For an explanation of authentication information contained within service elements, see Service .

## Constructor & Destructor Documentation

vmware::vapi::metadata::authentication::ServiceInfo::ServiceInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::authentication::ServiceInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::authentication::ServiceInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::authentication::ServiceInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::authentication::ServiceInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::authentication::ServiceInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::authentication::ServiceInfo::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vapi::metadata::authentication::ServiceInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.authentication.OperationInfo> vmware::vapi::metadata::authentication::ServiceInfo::GetOperations | ( |  | ) | `[inline]`

Information about all operation elements contained in this service element that contain authentication information.

The key in the map is the identifier of the operation element and the value in the map is the authentication information for the operation element.

For an explanation of containment of authentication information within operation elements, see service.Operation . When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.operation` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.operation` .

global::System.Collections.Generic.List<vmware.vapi.metadata.authentication.AuthenticationInfo> vmware::vapi::metadata::authentication::ServiceInfo::GetSchemes | ( |  | ) | `[inline]`

List of authentication schemes to be used for all the operation elements contained in this service element.

The authentication scheme specified on the package element corresponding to this service element is ignored.

void vmware::vapi::metadata::authentication::ServiceInfo::SetOperations | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.authentication.OperationInfo > | operations | ) | `[inline]`

Information about all operation elements contained in this service element that contain authentication information.

The key in the map is the identifier of the operation element and the value in the map is the authentication information for the operation element.

For an explanation of containment of authentication information within operation elements, see service.Operation . When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.operation` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.operation` .

void vmware::vapi::metadata::authentication::ServiceInfo::SetSchemes | ( | global::System.Collections.Generic.List< vmware.vapi.metadata.authentication.AuthenticationInfo > | schemes | ) | `[inline]`

List of authentication schemes to be used for all the operation elements contained in this service element.

The authentication scheme specified on the package element corresponding to this service element is ignored.

override string vmware::vapi::metadata::authentication::ServiceInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- authentication/ServiceInfo.cs